diff -ruN swftools-0.9.2.orig/configure swftools-0.9.2/configure
--- swftools-0.9.2.orig/configure	2012-04-08 13:25:35.000000000 -0400
+++ swftools-0.9.2/configure	2013-10-27 13:20:46.000000000 -0400
@@ -2794,15 +2794,6 @@
 	CXXFLAGS="$CXXFLAGS -fno-rtti"
 	SHARED="-bundle"
 	SLEXT="bundle"
-	if test -d /opt/local/include && test -d /opt/local/lib; then
-	    CPPFLAGS="${CPPFLAGS} -I/opt/local/include"
-	    LDFLAGS="${LDFLAGS} -L/opt/local/lib"
-	fi
-	# Use fink packages if available.
-	#if test -d /sw/include && test -d /sw/lib; then
-	#    CPPFLAGS="${CPPFLAGS} -I/sw/include"
-	#    LDFLAGS="${LDFLAGS} -L/sw/lib"
-	#fi
 	;;
 esac
 
@@ -5807,7 +5798,7 @@
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-as_dummy=""$PATH:/usr/local/bin:/sw/bin:/opt/local/bin""
+as_dummy=""$PATH""
 for as_dir in $as_dummy
 do
   IFS=$as_save_IFS
diff -ruN swftools-0.9.2.orig/lib/as3/registry.c swftools-0.9.2/lib/as3/registry.c
--- swftools-0.9.2.orig/lib/as3/registry.c	2010-11-12 13:55:21.000000000 -0500
+++ swftools-0.9.2/lib/as3/registry.c	2013-10-27 12:09:26.000000000 -0400
@@ -538,13 +538,13 @@
 
 // ----------------------- builtin dummy types -------------------------
 classinfo_t nullclass = {
-    INFOTYPE_CLASS,0,0,ACCESS_PACKAGE, "", "null", 0, 0, 0
+    INFOTYPE_CLASS,0,0,ACCESS_PACKAGE, "", "null", 0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
 classinfo_t* registry_getnullclass() {
     return &nullclass;
 }
 classinfo_t voidclass = {
-    INFOTYPE_CLASS,0,0,ACCESS_PACKAGE, "", "void", 0, 0, 0
+    INFOTYPE_CLASS,0,0,ACCESS_PACKAGE, "", "void", 0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
 classinfo_t* registry_getvoidclass() {
     return &voidclass;
diff -Nurd -x'*~' swftools-0.9.2.orig/lib/jpeg.c swftools-0.9.2/lib/jpeg.c
--- swftools-0.9.2.orig/lib/jpeg.c	2011-10-14 16:46:10.000000000 -0400
+++ swftools-0.9.2/lib/jpeg.c	2015-02-21 22:53:39.000000000 -0500
@@ -6,6 +6,14 @@
 
 #ifdef HAVE_JPEGLIB
 #define HAVE_BOOLEAN
+
+#ifndef FALSE			/* in case these macros already exist */
+#define FALSE	0		/* values of boolean */
+#endif
+#ifndef TRUE
+#define TRUE	1
+#endif
+
 #include <jpeglib.h>
 
 #define OUTBUFFER_SIZE 0x8000
diff -Nurd -x'*~' swftools-0.9.2.orig/src/gif2swf.c swftools-0.9.2/src/gif2swf.c
--- swftools-0.9.2.orig/src/gif2swf.c	2011-01-01 22:30:29.000000000 -0500
+++ swftools-0.9.2/src/gif2swf.c	2015-02-21 23:11:48.000000000 -0500
@@ -230,13 +230,13 @@
     }
     fclose(fi);
 
-    if ((gft = DGifOpenFileName(sname)) == NULL) {
+    if ((gft = DGifOpenFileName(sname, NULL)) == NULL) {
         fprintf(stderr, "%s is not a GIF file!\n", sname);
         return t;
     }
 
     if (DGifSlurp(gft) != GIF_OK) {
-        PrintGifError();
+        fprintf(stderr, "GIF-LIB error: %s\n", GifErrorString(gft->Error));
         return t;
     }
 
@@ -455,7 +455,7 @@
 
     free(pal);
     free(imagedata);
-    DGifCloseFile(gft);
+    DGifCloseFile(gft, NULL);
 
     return t;
 }
@@ -488,7 +488,7 @@
     }
     fclose(fi);
 
-    if ((gft = DGifOpenFileName(s)) == NULL) {
+    if ((gft = DGifOpenFileName(s, NULL)) == NULL) {
         fprintf(stderr, "%s is not a GIF file!\n", fname);
         return -1;
     }
@@ -499,7 +499,7 @@
         global.max_image_height = gft->SHeight;
 
     if (DGifSlurp(gft) != GIF_OK) { 
-        PrintGifError();
+        fprintf(stderr, "GIF-LIB error: %s\n", GifErrorString(gft->Error));
         return -1;
     }
     // After DGifSlurp() call, gft->ImageCount become available
@@ -518,7 +518,7 @@
             fprintf(stderr, "frame: %u, delay: %.3f sec\n", i + 1, getGifDelayTime(gft, i) / 100.0);
     }
 
-    DGifCloseFile(gft);
+    DGifCloseFile(gft, NULL);
 
     return 0;
 }
diff -ruN swftools-0.9.2.orig/configure swftools-0.9.2/configure
--- swftools-0.9.2.orig/configure	2012-04-08 12:25:35.000000000 -0500
+++ swftools-0.9.2/configure	2018-03-22 05:55:17.000000000 -0500
@@ -7105,43 +7105,21 @@
 	    ;;
     esac
     for v in $VERSIONS; do
-        # Linux
-        if test -f "/usr/include/python$v/Python.h";then
-            PY_VERSION=$v
-	    PYTHON_LIB="-lpython$PY_VERSION"
-            if test -f "/usr/lib/python$v/site-packages/PIL/_imaging.so";then
-                PYTHON_LIB2="$PYTHON_LIB /usr/lib/python$v/site-packages/PIL/_imaging.so"
-                HAVE_PYTHON_IMAGING_LIB=1
-            else
-                PYTHON_LIB2="$PYTHON_LIB"
-            fi
-	    PYTHON_INCLUDES="-I/usr/include/python$PY_VERSION"
-        # Mac OS X
-        elif test -f "/Library/Frameworks/Python.framework/Versions/$v/include/python$v/Python.h";then
-            PY_VERSION=$v
-            PYTHON_LIB="-framework Python"
-            if test -f "/Library/Frameworks/Python.framework/Versions/$v/site-packages/PIL/_imaging.so";then
-                PYTHON_LIB2="$PYTHON_LIB /Library/Python/$v/PIL/_imaging.so"
-                HAVE_PYTHON_IMAGING_LIB=1
-            else
-                PYTHON_LIB2="$PYTHON_LIB"
-            fi
-            PYTHON_INCLUDES="-I/Library/Frameworks/Python.framework/Versions/$v/include/python$v/"
-	# Mac OS X [Fink]:
-        elif test "(" -f "/sw/lib/python$v/config/libpython$v.dylib" \
-	           -o -f "/sw/lib/python$v/config/libpython$v.a" \
-	           -o -f "/sw/lib/python$v/config/libpython$v.so" \
+   # Make sure this test fails while upstream fixes installing the python module
+        if test "(" -f "@FINK_PREFIX@/lib/python$v/config/libpython$v.dylibPOISON" \
 	          ")" \
-	       -a -f "/sw/include/python$v/Python.h"; then
+	       -a -f "@FINK_PREFIX@/include/python$v/Python.h"; then
             PY_VERSION=$v
-            PYTHON_LIB="-L /sw/lib/python$v/config/ -lpython$PY_VERSION /sw/lib/python$v/site-packages/PIL/_imaging.so"
-            if test -f "/sw/lib/python$v/site-packages/PIL/_imaging.so";then
-                PYTHON_LIB2="$PYTHON_LIB /sw/lib/python$v/site-packages/PIL/_imaging.so"
+   # Make sure this test fails while upstream fixes installing the python module
+            PYTHON_LIB="@FINK_PREFIX@/lib/python$v/config/libpython$PY_VERSION.dylib "
+            if test -f "@FINK_PREFIX@/lib/python$v/site-packages/PIL/_imaging.soPOISON";then
+                PYTHON_LIB2="$PYTHON_LIB"
+                PYTHON_INCLUDES="-I@FINK_PREFIX@/include/python$v/PIL"
                 HAVE_PYTHON_IMAGING_LIB=1
             else
                 PYTHON_LIB2="$PYTHON_LIB"
             fi
-            PYTHON_INCLUDES="-I /sw/include/python$v/"
+            PYTHON_INCLUDES="-I@FINK_PREFIX@/include/python$v/ $PYTHON_INCLUDES"
         fi
     done
 fi
diff -ruN swftools-0.9.2.orig/lib/pdf/xpdf/GlobalParams.cc swftools-0.9.2/lib/pdf/xpdf/GlobalParams.cc
--- swftools-0.9.2.orig/lib/pdf/xpdf/GlobalParams.cc	2012-04-08 12:26:34.000000000 -0500
+++ swftools-0.9.2/lib/pdf/xpdf/GlobalParams.cc	2018-03-21 22:00:35.000000000 -0500
@@ -922,9 +922,9 @@
     char* p = pos1>pos2?pos1:pos2;
     int pos = p ? p-cfgFileName : -1;
     GString*path = new GString(new GString(cfgFileName), 0, (pos < 0 ? strlen(cfgFileName): pos));
-    if(pos1>=0)
+    if(pos1 != NULL)
 	path->append('/');
-    else if(pos2>=0)
+    else if(pos2 != NULL)
 	path->append('\\');
     else
 #ifdef WIN32
diff -ruN swftools-0.9.2.orig/setup.py swftools-0.9.2/setup.py
--- swftools-0.9.2.orig/setup.py	2011-12-12 15:29:27.000000000 -0600
+++ swftools-0.9.2/setup.py	2018-03-21 22:01:23.000000000 -0500
@@ -43,8 +43,6 @@
 else:
     update_dirs(cc.library_dirs, [os.path.join(sys.prefix, 'lib'), 
                                   os.path.join(sys.prefix, 'local/lib')])
-    if sys.platform == "darwin":
-        update_list(cc.library_dirs, ["/sw/lib", "/opt/local/lib"])
 
 if 'include_dirs' in os.environ:
     update_dirs(cc.include_dirs, [path.strip() for path in os.environ.get('include_dirs').strip().split(":")])
@@ -52,8 +50,6 @@
     update_dirs(cc.include_dirs, [os.path.join(sys.prefix, 'include'), 
                                   os.path.join(sys.prefix, 'include/freetype2'),
                                   os.path.join(sys.prefix, 'include/fontconfig')])
-    if sys.platform == "darwin":
-        update_dirs(cc.include_dirs, ["/sw/include/freetype2", "/sw/lib/freetype2/include", "/sw/include", "/opt/local/include"])
 
 
 class ConfigScript:
